## org.apache.lucene.search
Class TermQuery

    java.lang.Object
      org.apache.lucene.search.Query
          org.apache.lucene.search.TermQuery

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class TermQuery

extends Query

A Query that matches documents containing a term. This may be combined with other terms with a `BooleanQuery`.

See Also:
  Serialized Form

Constructor Summary
`TermQuery(Term t)` Constructs a query for the term `t`.

Method Summary
`Weight` `createWeight(Searcher searcher)` Expert: Constructs an appropriate Weight implementation for this query.
`boolean` `equals(java.lang.Object o)` Returns true iff `o` is equal to this.
`void` `extractTerms(java.util.Set terms)` Expert: adds all terms occurring in this query to the terms set.
`Term` `getTerm()` Returns the term of this query.
`int` `hashCode()` Returns a hash code value for this object.
`java.lang.String` `toString(java.lang.String field)` Prints a user-readable version of this query.

Methods inherited from class org.apache.lucene.search.Query
`clone, combine, getBoost, getSimilarity, mergeBooleanQueries, rewrite, setBoost, toString, weight`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TermQuery

    public TermQuery(Term t)

  Constructs a query for the term `t`.

Method Detail

### getTerm

    public Term getTerm()

  Returns the term of this query.

### createWeight

    public Weight createWeight(Searcher searcher)
                        throws java.io.IOException

  Description copied from class: `Query`
  Expert: Constructs an appropriate Weight implementation for this query.

  Only implemented by primitive queries, which re-write to themselves.

  Overrides:
    `createWeight` in class `Query`
  Throws:
    `java.io.IOException`

### extractTerms

    public void extractTerms(java.util.Set terms)

  Description copied from class: `Query`
  Expert: adds all terms occurring in this query to the terms set. Only works if this query is in its `rewritten` form.

  Overrides:
    `extractTerms` in class `Query`

### toString

    public java.lang.String toString(java.lang.String field)

  Prints a user-readable version of this query.

  Specified by:
    `toString` in class `Query`

### equals

    public boolean equals(java.lang.Object o)

  Returns true iff `o` is equal to this.

  Overrides:
    `equals` in class `Query`

### hashCode

    public int hashCode()

  Returns a hash code value for this object.

  Overrides:
    `hashCode` in class `Query`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.